Description

It would useful to have a per user signature that could optionally be applied to outgoing email notifications for changes made by that

user.

History

#1 - 2009-12-17 11:18 - Aron Rotteveel

I totally agree; this would be a great benefit and would help consider using Redmine as a default support-ticketing system as well.

#2 - 2013-04-09 14:44 - Dipan Mehta

Sometimes there could be more than one person responding to 'Customer queries'. However, it might be better idea to customize signature 'per

project' rather than 'per user'

#3 - 2013-12-16 16:28 - Erlend ter Maat

I most of the time exit with my name. Would be nice if i could get the signature automatically. I use redmine as a support helpdesk. To give it a more

personal touch a personal signature makes a lot of sense.

In addition to the project signature, I can also imagine that the user-group has it's own signature.

The idea of a project-signature is not bad eighter, even in our situation. So implementing all might improve Redmine.

I pledge for global, project and user settings for signatures at issue-update forms; Override the setting by a dropdown field (project- personal-

group-signature)

#4 - 2013-12-17 05:18 - Toshi MARUYAMA

- Category set to Email notifications

#5 - 2015-01-14 13:59 - Attila Susoczki

i would like this

#6 - 2015-02-18 09:21 - Joerg Oswald

+1 signatures in user setting

#7 - 2016-01-06 11:59 - Yassine Chaieb

Hello everybody,

I just made my first redmine plugin, it allow user to configure on his "my account" a signature that will be included on comments you write.

https://github.com/MYchaieb/user_signature_redmine

it's my first redmine plugin and first ruby code so any optimisation are welcome

kind regards.

#8 - 2017-08-21 17:34 - Andre Faria

Yassine Chaieb wrote:

Hello everybody,

I just made my first redmine plugin, it allow user to configure on his "my account" a signature that will be included on comments you write.

https://github.com/MYchaieb/user_signature_redmine

it's my first redmine plugin and first ruby code so any optimisation are welcome
kind regards.

 Is compatible with new version ?

#9 - 2017-08-21 17:35 - Andre Faria

+1 signatures in user setting

#10 - 2018-07-25 10:38 - Klément Grisel

+1 for individual signature for each comment wrote by a user
